---
title: get-edge-config-token-meta-data
product: vercel
url: /docs/rest-api/edge-config/get-edge-config-token-meta-data
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about get-edge-config-token-meta-data on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Get Edge Config token meta data

```http
GET /v1/edge-config/{edgeConfigId}/token/{token}
```

Return meta data about an Edge Config token.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `edgeConfigId` | string | Yes |  |
| `token` | string | Yes |  |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Responses

### 200: The EdgeConfig.

Content-Type: `application/json`

```json
{
  "type": "object",
  "description": "The EdgeConfig.",
  "required": [
    "createdAt",
    "edgeConfigId",
    "id",
    "label",
    "token"
  ],
  "properties": {
    "token": {
      "type": "string"
    },
    "label": {
      "type": "string"
    },
    "id": {
      "type": "string",
      "description": "This is not the token itself, but rather an id to identify the token by"
    },
    "edgeConfigId": {
      "type": "string"
    },
    "createdAt": {
      "type": "number"
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: No description

---

## Related

- [edge-config endpoints](/docs/rest-api#edge-config)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
